Refactor boot scripts

Move sourced/shared scripts to boot-*-common
Rearrange common definitions in each boot script to make them more
similar
Add common support for %ARCH% substitutions in DI_WWW_HOME
Fix boot-alpha to use which_deb when looking for aboot
Merge mips* together, using boot-mips-common
This commit is contained in:
Steve McIntyre 2017-05-03 18:02:29 +01:00
parent cdc52554e0
commit 97bc2c3dac
22 changed files with 250 additions and 219 deletions

View File

@ -24,10 +24,23 @@ set -e
N=$1
CDDIR=$2
BOOTDIR=
if [ "$DI_WWW_HOME" = "default" ];then
INSTALLDIR="install"
# Common options for all disks
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
exit 0
fi
if [ "$DI_WWW_HOME" = "default" ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/alpha/daily/cdrom/"
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
cd $CDDIR/..
@ -36,19 +49,19 @@ cd $CDDIR/..
# This script is called with $1 (now $N) as the CD to
# make bootable.
# Common options for all disks
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
# Only disk 1* bootable
if [ $N != 1 ]; then
exit 0
fi
ABOOTDEB=$(find_pkg_file aboot-base)
if [ -z "$ABOOTDEB" ] ; then
echo "ERROR: the aboot-base package is required." >&2
exit 1
fi
mkdir boot$N
ab_deb=`ls $MIRROR/pool/main/a/aboot/aboot-base_*.deb | tail -1`
(dpkg --fsys-tarfile "$ab_deb" | tar xf - -C boot$N/ ./boot/bootlx)
(dpkg --fsys-tarfile "$MIRROR/$ABOOTDEB" | tar xf - -C boot$N/ ./boot/bootlx)
# Download boot images
# XXX: Driver floppies? Any alpha that /has/ a CDROM should be able to

View File

@ -1,48 +1,48 @@
#!/bin/sh
#
# Do install stuff for arm*, including making bootable CDs
# Do common install stuff for armel/armhf, including making bootable CDs
# Works with debian-installer
#
# $1 is the CD number
# $2 is the temporary CD build dir
#
# This is copied from the old arm script and it is currently disabled as there
# don't seem to be any bootable armel/armhf machines.
# don't seem to be any CD-bootable armel/armhf machines.
. $BASEDIR/tools/boot/$CODENAME/common.sh
set -e
. $BASEDIR/tools/boot/$DI_CODENAME/common.sh
N=$1
CDDIR=$2
INSTALLDIR="install"
if [ "$DI_WWW_HOME" = "default" ];then
# Tempting as it might be to merge these two definitions using $ARCH,
# do *not* do that - these defs are parsed out by other scripts that
# won't cope with that
# Common options for all disks
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
exit 0
fi
if [ "$DI_WWW_HOME" = "default" ]; then
# Tempting as it might be to merge these definitions using $ARCH,
# do *not* do that - these defs are parsed out by other scripts
# that won't cope with that
if [ "$ARCH" = armel ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/armel/daily"
CUT=3
elif [ "$ARCH" = armhf ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/armhf/daily"
CUT=3
else
echo "$0: unknown arch $ARCH; abort"
exit 1
fi
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
cd $CDDIR/..
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
# Exit if this is not CD#1/DVD#1
if [ $N != 1 ] ; then exit 0; fi
# This arch is currently not bootable directly from CD, and there's
# not a lot we can do about that. But add the needed files in the
# right place so that users can find them, at least
copy_arch_images
exit 0

View File

@ -18,11 +18,23 @@ export MTOOLS_SKIP_CHECK=1
N=$1
CDDIR=$2
BOOTDIR=
INSTALLDIR="install.a64"
if [ "$DI_WWW_HOME" = "default" ];then
# Common options for all disks
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
exit 0
fi
if [ "$DI_WWW_HOME" = "default" ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/arm64/daily"
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
case "$MKISOFS" in
@ -37,10 +49,6 @@ esac
cd $CDDIR/..
# This script is called with $1 (now $N) as the CD to make bootable.
# Exit if this is not a boot disk
if [ $N != 1 ] ; then exit 0; fi
BOOT_IMAGES="cdrom/initrd.gz cdrom/vmlinuz cdrom/debian-cd_info.tar.gz"
# Download boot images.
@ -69,10 +77,6 @@ cp -lf cdrom/initrd.gz $CDDIR/$INSTALLDIR/
mkdir -pv $PWD/boot$N
cat cdrom/debian-cd_info.tar.gz | (cd boot$N/; tar zx)
# Common mkisofs options when creating CDs
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
if [ -d boot$N/grub ] ; then
echo " Adding EFI boot code for $ARCH on CD$N"

View File

@ -1,2 +1,2 @@
#!/bin/bash
. $BASEDIR/tools/boot/$DI_CODENAME/boot-arm
. $BASEDIR/tools/boot/$DI_CODENAME/boot-arm-common

View File

@ -1,2 +1,2 @@
#!/bin/bash
. $BASEDIR/tools/boot/$DI_CODENAME/boot-arm
. $BASEDIR/tools/boot/$DI_CODENAME/boot-arm-common

View File

@ -12,15 +12,18 @@
set -e
N=$1
CDROOT=$2
if [ "$DI_WWW_HOME" = "default" ];then
DI_WWW_HOME="https://d-i.debian.org/daily-images/hppa/daily/cdrom/2.6"
try_di_image_cache
CDDIR=$2
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
exit 0
fi
# Only disk 1* bootable
if [ $N != 1 ]; then
exit 0
if [ "$DI_WWW_HOME" = "default" ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/hppa/daily/cdrom/2.6"
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
PALODEB=$(find_pkg_file palo)
@ -30,7 +33,7 @@ if [ -z "$PALODEB" ] ; then
fi
(dpkg --fsys-tarfile "$MIRROR/$PALODEB" | \
tar xf - -C . ./usr/share/palo/iplboot)
mv usr/share/palo/iplboot $CDROOT/install/iplboot
mv usr/share/palo/iplboot $CDDIR/install/iplboot
if [ -n "$ARCHIVE_EXTRACTED_SOURCES" ]; then
echo $PALODEB >> $CDDIR/../$N.pkgs_extracted
@ -50,14 +53,14 @@ fi
K32=$(basename "$DI_DIR"/vmlinux-*-parisc)
K64=$(basename "$DI_DIR"/vmlinux-*-parisc64*)
cp "$DI_DIR"/$K32 "$CDROOT/install"/$K32
cp "$DI_DIR"/$K64 "$CDROOT/install"/$K64
cp "$DI_DIR"/initrd.gz "$CDROOT/install"
cp "$DI_DIR"/$K32 "$CDDIR/install"/$K32
cp "$DI_DIR"/$K64 "$CDDIR/install"/$K64
cp "$DI_DIR"/initrd.gz "$CDDIR/install"
add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-cmdline '0/vmlinux initrd=0/ramdisk${KERNEL_PARAMS:+ $KERNEL_PARAMS}'"
add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-kernel-32 install/$K32"
add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-kernel-64 install/$K64"
add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-bootloader install/iplboot"
add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-ramdisk install/initrd.gz"
add_mkisofs_opt $CDDIR/../$1.mkisofs_opts "-hppa-cmdline '0/vmlinux initrd=0/ramdisk${KERNEL_PARAMS:+ $KERNEL_PARAMS}'"
add_mkisofs_opt $CDDIR/../$1.mkisofs_opts "-hppa-kernel-32 install/$K32"
add_mkisofs_opt $CDDIR/../$1.mkisofs_opts "-hppa-kernel-64 install/$K64"
add_mkisofs_opt $CDDIR/../$1.mkisofs_opts "-hppa-bootloader install/iplboot"
add_mkisofs_opt $CDDIR/../$1.mkisofs_opts "-hppa-ramdisk install/initrd.gz"
exit 0

View File

@ -14,10 +14,23 @@ set -e
N=$1
CDDIR=$2
BOOTDIR=
if [ "$DI_WWW_HOME" = "default" ];then
INSTALLDIR="install"
# Common options for all disks
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
exit 0
fi
if [ "$DI_WWW_HOME" = "default" ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/hurd-i386/daily/"
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
case "$MKISOFS" in
@ -32,12 +45,6 @@ esac
cd $CDDIR/..
# Only disc 1 bootable
if [ $N != 1 ]; then
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
exit 0
fi
# Download boot images.
BOOT_IMAGES="cdrom/debian-cd_info.tar.gz cdrom/gnumach.gz cdrom/initrd.gz cdrom/gtk/initrd.gz cdrom/ext2fs.static cdrom/exec.static"

View File

@ -1,2 +1,2 @@
#!/bin/bash
. $BASEDIR/tools/boot/$DI_CODENAME/boot-hurd
. $BASEDIR/tools/boot/$DI_CODENAME/boot-hurd-common

View File

@ -11,20 +11,27 @@ set -e
N=$1
CDDIR=$2
BOOTDIR=
if [ "$DI_WWW_HOME" = "default" ];then
INSTALLDIR="install"
# Common options for all disks
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
exit 0
fi
if [ "$DI_WWW_HOME" = "default" ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/ia64/daily"
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
cd $CDDIR/..
# Only disc 1 bootable
if [ $N != 1 ]; then
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
exit 0;
fi
# Download boot images
for image in boot.img; do
if [ ! -e "$image" ]; then
@ -43,7 +50,6 @@ done
mkdir -p boot$N/boot
cp -f boot.img boot$N/boot/
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-no-emul-boot"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-b boot/boot.img"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-c boot/boot.catalog"

View File

@ -1,2 +1,2 @@
#!/bin/bash
. $BASEDIR/tools/boot/$DI_CODENAME/boot-kfreebsd
. $BASEDIR/tools/boot/$DI_CODENAME/boot-kfreebsd-common

View File

@ -14,17 +14,33 @@ set -e
N=$1
CDDIR=$2
BOOTDIR=
if [ "$DI_WWW_HOME" = "default" ];then
INSTALLDIR="install"
# Common options for all disks
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
exit 0
fi
if [ "$DI_WWW_HOME" = "default" ]; then
# Tempting as it might be to merge these two definitions using $ARCH,
# do *not* do that - these defs are parsed out by other scripts that
# won't cope with that
if [ "$ARCH" = kfreebsd-i386 ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/kfreebsd-i386/daily/"
else
elif [ "$ARCH" = kfreebsd-amd64 ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/kfreebsd-amd64/daily/"
else
echo "$0: unknown arch $ARCH; abort"
exit 1
fi
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
case "$MKISOFS" in
@ -39,12 +55,6 @@ esac
cd $CDDIR/..
# Only disc 1 bootable
if [ $N != 1 ]; then
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
exit 0
fi
# Download boot images.
BOOT_IMAGES="cdrom/debian-cd_info.tar.gz cdrom/kfreebsd-10.gz cdrom/initrd.gz"
@ -82,7 +92,6 @@ fi
# Install bootloader
mkdir -p boot$N
tar -C boot$N -zxf cdrom/debian-cd_info.tar.gz
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-b boot/grub/grub_eltorito"
[ -f boot$N/boot/grub/grub_embed ] && add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "--embedded-boot boot$N/boot/grub/grub_embed"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-c boot/boot.cat"

View File

@ -1,2 +1,2 @@
#!/bin/bash
. $BASEDIR/tools/boot/$DI_CODENAME/boot-kfreebsd
. $BASEDIR/tools/boot/$DI_CODENAME/boot-kfreebsd-common

View File

@ -1,32 +1,2 @@
#!/bin/bash
#
# boot-mips
#
# $1 is the CD number
# $2 is the temporary CD build dir
# genisovh is used to make ISOs bootable on mips.
. $BASEDIR/tools/boot/$DI_CODENAME/common.sh
set -e
N=$1
CDDIR=$2
INSTALLDIR="install"
if [ "$DI_WWW_HOME" = "default" ];then
DI_WWW_HOME="https://d-i.debian.org/daily-images/mips/daily/"
try_di_image_cache
fi
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
# Only disk 1* bootable
if [ $N != 1 ]; then
exit 0
fi
# This arch is currently not bootable directly from CD, and there's
# not a lot we can do about that. But add the needed files in the
# right place so that users can find them, at least
copy_arch_images
. $BASEDIR/tools/boot/$DI_CODENAME/boot-mips-common

View File

@ -0,0 +1,47 @@
# This script gets sourced from boot-mips, boot-mipsel and boot-mips64el
#
# $1 is the CD number
# $2 is the temporary CD build dir
#
# This is copied from the old arm script and it is currently disabled
# as there don't seem to be any CD-bootable mips* machines.
. $BASEDIR/tools/boot/$DI_CODENAME/common.sh
N=$1
CDDIR=$2
INSTALLDIR="install"
# Common options for all disks
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
exit 0
fi
if [ "$DI_WWW_HOME" = "default" ]; then
# Tempting as it might be to merge these definitions using $ARCH,
# do *not* do that - these defs are parsed out by other scripts
# that won't cope with that
if [ "$ARCH" = mips64el ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/mips64el/daily"
elif [ "$ARCH" = mipsel ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/mipsel/daily"
elif [ "$ARCH" = mips ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/mips/daily"
else
echo "$0: unknown arch $ARCH; abort"
exit 1
fi
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
# This arch is currently not bootable directly from CD, and there's
# not a lot we can do about that. But add the needed files in the
# right place so that users can find them, at least
copy_arch_images

View File

@ -1,32 +1,2 @@
#!/bin/bash
#
# boot-mips64el - (C) 2017 Steve McIntyre <93sam@debian.org>
#
# You may copy, modify and distribute this under the terms of the GNU
# General Public License as published by the Free Software Foundation;
# either version 2 of the License, or (at your option) any later version.
#
# $1 is the CD number
# $2 is the temporary CD build dir
. $BASEDIR/tools/boot/$DI_CODENAME/common.sh
set -e
N=$1
CDROOT=$2
# Exit if this is not CD#1/DVD#1
if [ $N != 1 ] ; then exit 0; fi
if [ "$DI_WWW_HOME" = "default" ];then
DI_WWW_HOME="https://d-i.debian.org/daily-images/mips64el/daily"
try_di_image_cache
fi
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
# This arch is currently not bootable directly from CD, and there's
# not a lot we can do about that. But add the needed files in the
# right place so that users can find them, at least
copy_arch_images
. $BASEDIR/tools/boot/$DI_CODENAME/boot-mips-common

View File

@ -1,30 +1,2 @@
#!/bin/bash
#
# boot-mipsel - (C) 2002 by Karsten Merker <merker@debian.org>
#
# You may copy, modify and distribute this under the terms of the GNU
# General Public License as published by the Free Software Foundation;
# either version 2 of the License, or (at your option) any later version.
#
# $1 is the CD number
# $2 is the temporary CD build dir
. $BASEDIR/tools/boot/$DI_CODENAME/common.sh
set -e
N=$1
CDROOT=$2
if [ "$DI_WWW_HOME" = "default" ];then
DI_WWW_HOME="https://d-i.debian.org/daily-images/mipsel/daily"
try_di_image_cache
fi
cd $CDROOT/..
add_mkisofs_opt $CDROOT/../$N.mkisofs_opts "-J -joliet-long"
# This arch is currently not bootable directly from CD, and there's
# not a lot we can do about that. But add the needed files in the
# right place so that users can find them, at least
copy_arch_images
. $BASEDIR/tools/boot/$DI_CODENAME/boot-mips-common

View File

@ -14,9 +14,17 @@ set -e
N=$1
CDDIR=$2
INSTALLDIR=$CDDIR/install
if [ "$DI_WWW_HOME" = "default" ];then
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
exit 0
fi
if [ "$DI_WWW_HOME" = "default" ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/powerpc/daily"
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
cd $CDDIR/..
@ -32,11 +40,6 @@ add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-map $BASEDIR/data/hfs.map"
newsize=`echo "$MAXDISKBLOCKS * 2048 / 256" | bc`
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-hfs-parms MAX_XTCSIZE=$newsize"
# Only disk 1* bootable
if [ $N != 1 ] ; then
exit 0
fi
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "--chrp-boot"
# For newworld Mac booting - Note, no spaces in volid!
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-part"

View File

@ -11,6 +11,27 @@
set -e
#set -x
N=$1
CDDIR=$2
INSTALLDIR=$CDDIR/install
# Common mkisofs options when creating CDs
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
exit 0
fi
if [ "$DI_WWW_HOME" = "default" ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/ppc64el/daily"
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
case "$MKISOFS" in
*xorriso*)
XORRISO_VER=$(xorriso_version)
@ -21,21 +42,6 @@ case "$MKISOFS" in
;;
esac
N=$1
CDDIR=$2
INSTALLDIR=$CDDIR/install
if [ "$DI_WWW_HOME" = "default" ];then
DI_WWW_HOME="https://d-i.debian.org/daily-images/ppc64el/daily"
try_di_image_cache
fi
# Common mkisofs options when creating CDs
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
# Only disc 1 bootable
if [ $N != 1 ] ; then exit 0; fi
cd $CDDIR/..
BOOT_IMAGES="cdrom/initrd.gz cdrom/vmlinux cdrom/debian-cd_info.tar.gz"

View File

@ -23,24 +23,33 @@ set -e
N=$1
CDDIR=$2
INSTALLDIR="install"
cd $CDDIR/..
if [ $N != "1" ] ; then
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
exit 0
fi
if [ "$DI_WWW_HOME" = "default" ];then
# Tempting as it might be to merge these two definitions using $ARCH,
# do *not* do that - these defs are parsed out by other scripts that
# won't cope with that
if [ "$DI_WWW_HOME" = "default" ]; then
# Tempting as it might be to merge these definitions using $ARCH,
# do *not* do that - these defs are parsed out by other scripts
# that won't cope with that
if [ "$ARCH" = s390x ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/s390x/daily"
else
echo "$0: unknown arch $ARCH; abort"
exit 1
fi
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
cd $CDDIR/..
imagedir="boot$N/boot"
mkdir -p $imagedir

View File

@ -10,14 +10,20 @@ set -e
N=$1
CDDIR=$2
if [ "$DI_WWW_HOME" = "default" ];then
DI_WWW_HOME="https://d-i.debian.org/daily-images/sparc/daily/cdrom/"
try_di_image_cache
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
exit 0
fi
# Only disc 1* bootable
if [ $N != 1 ]; then
exit 0;
if [ "$DI_WWW_HOME" = "default" ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/sparc/daily/cdrom/"
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-G boot1/boot/isofs.b -B ..."

View File

@ -10,14 +10,20 @@ set -e
N=$1
CDDIR=$2
if [ "$DI_WWW_HOME" = "default" ];then
DI_WWW_HOME="https://d-i.debian.org/daily-images/sparc64/daily/cdrom/"
try_di_image_cache
# Exit if this is not CD#1/DVD#1
if [ $N != "1" ]; then
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-J -joliet-long"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-cache-inodes"
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-l"
exit 0
fi
# Only disc 1* bootable
if [ $N != 1 ]; then
exit 0;
if [ "$DI_WWW_HOME" = "default" ]; then
DI_WWW_HOME="https://d-i.debian.org/daily-images/sparc64/daily/cdrom/"
try_di_image_cache
else
DI_WWW_HOME=$(echo $DI_WWW_HOME | sed "s,%ARCH%,$ARCH,")
fi
add_mkisofs_opt $CDDIR/../$N.mkisofs_opts "-G boot1/boot/isofs.b -B ..."

View File

@ -38,7 +38,7 @@ fi
N=$1
CDDIR=$2
BOOTDIR=
if [ "$DI_WWW_HOME" = "default" ];then
if [ "$DI_WWW_HOME" = "default" ]; then
# Tempting as it might be to merge these two definitions using $ARCH,
# do *not* do that - these defs are parsed out by other scripts that
# won't cope with that